Modify

Opened 6 years ago

Last modified 17 months ago

#2850 new enhancement

Discussion and comments

Reported by: proofek Owned by: andersm
Priority: normal Component: PeerReviewPlugin
Severity: normal Keywords:
Cc: jeremy.wilson@… Trac Release: 0.12

Description (last modified by rjollos)

Please use that ticket for discussion and comments only. Any feature requests should be raised as a separate tickets (enhancements). DO NOT CLOSE, please.


All the comments that were added to the main wiki page have been moved in here just for visibility.

Attachments (0)

Change History (38)

comment:1 follow-up: Changed 6 years ago by proofek

anonymous on Sun 23 Apr 2006 08:36:39 EST

Can you put a screenshot? Thanks!

comment:2 Changed 6 years ago by proofek

Comment by Team5 on Wed 26 Apr 2006 06:21:52 EST

We sure can - see below. Thanks for the suggestion.

comment:3 Changed 6 years ago by proofek

Comment by Tim on Mi 10 mai 2006 21:22:15 EST

We use Trac and Subversion, but when we do a code review, the author of the code changes sends the source files he changed to other engineers via email, and they place these files into their working directory, and use subversion diff to compare the working directory with the latest source in repository. All of the changes made by the author are then very clear, and comments can be sent back to the author via email, incorporated/discussed, and then new code changes sent out for review. Obviously, this approach works, but would be much better if it was integrated into Trac. Anyway, I have looked at your documentation, and unless I am mistaken you require the code changes to be committed into repository first, then your code is used to mark each line that was changed, and needs to be reviewed. Is this correct ? If so, do you have any plans to store the code changes into a temporary location, and use subvresion diff to compare with the HEAD revision in the repository, so that the changes are very clear to the person reviewing the code ?

comment:4 Changed 6 years ago by proofek

Comment by szm on Ma 30 mai 2006 04:31:24 EST

This plugin would be much more interesting if it could compare svn diffs rather than having the user mark the changes manually, which is error prone, and difficult to compare against the previous version.

comment:5 Changed 6 years ago by proofek

Comment by anonymous on Vi 02 iun 2006 18:13:27 EST

It seems that the plugin interferes with the "source:" form of wiki links. These links do only return a div element, like it may be suitable for ajax requests. Is there a workaround?

comment:6 Changed 6 years ago by proofek

Comment by anonymous on Vi 02 iun 2006 18:17:26 EST

hm. and "Add comment" implemented as GET request will lead to the above for people like me, who hit reload every once in a while.

comment:7 Changed 6 years ago by proofek

Comment by moisei _ at _ gmail.com on Du 02 iul 2006 07:50:19 EST

Codestriker has really good concept on the code-review process. They use a "source code diff" as the item of review rather than "part of code" as it is done in this plugin. Do you have any plans to move in this direction? I wish to have our code review integrated with trac and I even raised some discussion on this topic.

comment:8 Changed 6 years ago by proofek

Comment by anonymous on Tue Oct 17 00:52:10 2006

So is this plugin going to be updated to v0.10 and beyond? And will it be updated to work with changesets as opposed or in addition to revisions?

For peer reviews to be most successful, the actual changes to the files should be highlighted automatically by the revision control system (which the changeset view already does), and allow annotations on the entire file.

comment:9 Changed 6 years ago by proofek

Comment by anonymous on Tue Oct 17 22:59:39 2006

So is this plugin going to be updated to v0.10 and beyond? And will it be updated to work with changesets as opposed or in addition to revisions?

For peer reviews to be most successful, the actual changes to the files should be highlighted automatically by the revision control system (which the changeset view already does), and allow annotations on the entire file.

comment:10 Changed 6 years ago by proofek

Comment by anonymous on Thu Dec 7 02:22:25 2006

The plugin would be usable for me if:

  • I could use diffs of arbitrary revisions and/or paths in the repository (tags, trunk, branches etc.)
  • I could also use plain source at specific revision at the same time (like for initial review of old code)
  • The commenting process is more like http://gplv3.fsf.org/comments/gplv3-draft-2.html where its indicated which are is a "hot" area and much discuessed. Maybe also with an additional option to have colors not for heat but for age of the latest comment(s)

comment:11 Changed 6 years ago by proofek

Comment by tag@… on Thu Dec 7 05:30:33 2006

I'm working on driving a project to replace this. It will have a better functional design, and be more useful to organizations that actually need to implement a real code review process. The goal is to build something we (the folks involved) can all use at our respective organizations of employment.

The project is only in the deciding what needs to be done phase (discussions and requirement gathering began 2006/12/04).

It lives here: http://www.blisted.org/wiki/projects/JianCha

comment:12 Changed 6 years ago by proofek

Comment by Anonymous on Sat Feb 16 10:10:33 2008

Just for a reference project -- you might take a look at "Review Board" (http://code.google.com/p/reviewboard/). It looks like an excellent open source, python-based code-review project, which allows integration with Subversion, Mercurial, and several other revision-control systems. Perhaps it wouldn't be difficult to re-use some of the code from review board in this plugin.

comment:13 follow-up: Changed 6 years ago by proofek

Comment by Maik on March 10 10:12:33 2008

What is teh current status of this project? Is it still being developed? I think it's a great start, and = in principle - exactly what I am looking for (which is a TRAC based code review system). Unfortunately, as many people stated before me, there are still many features and functionality missing to make it "production ready". Do you need help or manpower to develop this any further or is ths project sort of "closed"?

comment:14 follow-up: Changed 6 years ago by proofek

Comment by Geib on April 3 13:54:22 2008

We use Trac alot and this tool has been something we have looked for a number of time. We have even used CodeStiker? a bit. We would like the integration with Trac and also offer any help.

comment:15 in reply to: ↑ 1 Changed 6 years ago by proofek

Replying to proofek:

anonymous on Sun 23 Apr 2006 08:36:39 EST

Can you put a screenshot? Thanks!

They're here now

comment:16 in reply to: ↑ 13 Changed 6 years ago by proofek

Replying to proofek:

Comment by Maik on March 10 10:12:33 2008

What is teh current status of this project? Is it still being developed? I think it's a great start, and = in principle - exactly what I am looking for (which is a TRAC based code review system). Unfortunately, as many people stated before me, there are still many features and functionality missing to make it "production ready". Do you need help or manpower to develop this any further or is ths project sort of "closed"?

I am reviving the project right now. The aim is to make it usable with Trac 0.11 first, without adding ANY new features to it, then replace old template system with genshi, and after that we should be able to start adding new features to. It will require a lot of refactoring anyway, but that's an another story.

comment:17 in reply to: ↑ 14 Changed 6 years ago by proofek

Replying to proofek:

Comment by Geib on April 3 13:54:22 2008

We use Trac alot and this tool has been something we have looked for a number of time. We have even used CodeStiker? a bit. We would like the integration with Trac and also offer any help.

That's awsome. Thanks for response. See my previous response regarding "roadmap" of the project, please. All hands are welcome. I will organize everything that will help us with development, including mailing list and developer/contributor corner. Just give me a week or so to stabilize all thinks and I will contact you with all the details.

comment:18 follow-up: Changed 6 years ago by yoheeb@…

just wanted to ping you on this. I am interested in this plugin, and am glad you are going through the effort to update/resurrect it. Sorry I can't offer to help (yet) I am still a pollywog when it comes to trac, if I transition to shellback maybe then I can contribute. What I don't have is a clear understanding of the following: What can be reviewed? I.e., is it restricted to code, or could it be any document in the subversion repo? (assuming text based/html so it can be displayed in this web based tool)

Thanks and keep up the good work.

comment:19 in reply to: ↑ 18 Changed 6 years ago by proofek

Replying to yoheeb@gmail.com:

just wanted to ping you on this. I am interested in this plugin, and am glad you are going through the effort to update/resurrect it. Sorry I can't offer to help (yet) I am still a pollywog when it comes to trac, if I transition to shellback maybe then I can contribute.

You don't have to be a developer to contribute. Any feedback, opinions, ideas are very welcome.
At the moment the tool has a very basic functionality, so there is a lot of work ahead.

What I don't have is a clear understanding of the following: What can be reviewed? I.e., is it restricted to code, or could it be any document in the subversion repo? (assuming text based/html so it can be displayed in this web based tool)

You can basically review any text based document. Just like you mentioned - as long as you can display it it's up to you what do you want to review.

Thanks for all support!

comment:20 follow-up: Changed 6 years ago by W

I have Trac 0.11rc1 installed. Which is the proper and latest version of this plugin for RC1? I see 0.11, branches, tags, and trunk. Branches having the most recent updates.

Thanks.

comment:21 follow-up: Changed 6 years ago by yoheeb@…

So,

Are we to continue posting comments etc. to this project, or to the 'new' one you have started to supplant it?

I will post one here, and if need be I can repost in the new one:

Do you plan to allow "origination" of the diff creation from within trac? Rather than have the author create the diff locally (still would want to support this, btw). I am thinking in the context of when the model is for each developer to create private branches within the repository. In such a case, the diff could be generated entirely within trac via branch/revisions; then merged back if/when an accepted review has been created.

Also, where are the review results kept, and how do I export them so I can print them out and shove in a project file?

Sorry, i have only looked at the project, planning to install later this week, so if it is obvious after install, I apologize and ignore that last question after slapping me with a few fish.

comment:22 in reply to: ↑ 20 Changed 6 years ago by anonymous

Replying to W:

I have Trac 0.11rc1 installed. Which is the proper and latest version of this plugin for RC1? I see 0.11, branches, tags, and trunk. Branches having the most recent updates.

Thanks.

Yeah, there is a little mess in svn for a moment, I've left the old structure just for backwards compatibility. Basically stable version for Trac 0.11 lives in trunk and branches/0.11.

Sorry for late reponse. Been very busy last 2 weeks

comment:23 in reply to: ↑ 21 Changed 6 years ago by anonymous

Replying to yoheeb@gmail.com:

So,

Are we to continue posting comments etc. to this project, or to the 'new' one you have started to supplant it?

New one? For now I am using this ticket for any user input/feedback/question. I'll be creating user mailing list in the near future - that will be much easier for all of us.

I will post one here, and if need be I can repost in the new one:

Do you plan to allow "origination" of the diff creation from within trac? Rather than have the author create the diff locally (still would want to support this, btw). I am thinking in the context of when the model is for each developer to create private branches within the repository. In such a case, the diff could be generated entirely within trac via branch/revisions; then merged back if/when an accepted review has been created.

I don't quite understand your question. Can you elaborate it more?

Also, where are the review results kept, and how do I export them so I can print them out and shove in a project file?

As far as I know they are stored in database. Look into http://trac-hacks.org/browser/peerreviewplugin/trunk/codereview/dbBackend.py. All table names are in there.

Sorry, i have only looked at the project, planning to install later this week, so if it is obvious after install, I apologize and ignore that last question after slapping me with a few fish.

It's all fine. We're all learning after all.

comment:24 Changed 6 years ago by f.fracassi@…

I don't know if this is the right place to ask, but I can't
seem to find how to Vote on a code review. Where is the button
or link to give a vote?

comment:25 Changed 6 years ago by anonymous

which version of python does peerreview require? we run our trac with python 2.3, would it work?

comment:26 Changed 6 years ago by jtgalyon.nospam.at-gmail.com

There is a lot of spam on the google groups, is it possible to add captcha or similar verification for joining before posting?

Regardless, I have a question about the plugin for trunk (0.12) specifically I am using the multi repository branch that is often synced with trunk.

When I add the peerreview egg I am rightly notified of the need to upgrade my environment. However, when I run the upgrade command I am notified that no upgrade is needed and the database modifications do not take place.

I will gladly contribute my help where I can. I can't seem to track down the problem here, as it looks like the exact same method is being called for upgrade each time... so I wonder why there is a discrepancy.

Thanks for your great work.

comment:27 Changed 6 years ago by anonymous

do you hang out on #trac ever? If so, what times?

comment:28 Changed 6 years ago by anonymous

many thanks for this great plugin!!

comment:29 Changed 6 years ago by yoheeb@…

Glad to see this project is still rolling. I hope to try out the latest version in the next couple weeks.

I am curious, I see some things about subversion since I last looked. Does this mean we can reference subversion revision ranges for review now, rather than manually? The follow on to that, if yes, can we specify different branches? We have gone to a "feature branch" model, in which all changes in the feature branch are reviewed, THEN merged into trunk after all review comments are resolved. Hoping I can use this tool in that model.

Finally, Is there a report tool, or away to create "hard copies" of the code review sets/results? I suspect the Documentation section is a bit stale.

Again, thanks

comment:30 Changed 5 years ago by ChrisNelson

Can this plugin be used with Git as the source repository or does it depend on SVN?

comment:31 Changed 5 years ago by anonymous

  • Cc jeremy.wilson@… added
When I click on the "Peer Review" button, I get the following error:

While doing a GET operation on /peerReviewMain, Trac issued an internal error.

System Information
Trac    0.11.6
Python  2.6.2 (r262:71600, Dec 23 2009, 17:17:39)
[GCC 4.1.2 20071124 (Red Hat 4.1.2-42)]
setuptools  0.6c9
pyPgSQL 2.5.1
Genshi  0.5.1
mod_wsgi    3.1 (WSGIProcessGroup wsgi-trac WSGIApplicationGroup %{GLOBAL})
Pygments    1.1.1
Subversion  1.6.6 (r40053)
jQuery: 1.2.6
Python Traceback

Traceback (most recent call last):
  File "/usr/local/lib/python2.6/site-packages/Trac-0.11.6-py2.6.egg/trac/web/main.py", line 450, in _dispatch_request
    dispatcher.dispatch(req)
  File "/usr/local/lib/python2.6/site-packages/Trac-0.11.6-py2.6.egg/trac/web/main.py", line 206, in dispatch
    resp = chosen_handler.process_request(req)
  File "build/bdist.linux-x86_64/egg/codereview/peerReviewMain.py", line 74, in process_request
    codeReviewArray = dbBack.getMyCodeReviews(util.get_reporter_id(req))
  File "build/bdist.linux-x86_64/egg/codereview/dbBackend.py", line 37, in getMyCodeReviews
    return self.execCodeReviewQuery(query, False)
  File "build/bdist.linux-x86_64/egg/codereview/dbBackend.py", line 173, in execCodeReviewQuery
    cursor.execute(query)
  File "/usr/local/lib/python2.6/site-packages/Trac-0.11.6-py2.6.egg/trac/db/util.py", line 65, in execute
    return self.cursor.execute(sql)
  File "/usr/local/lib/python2.6/site-packages/Trac-0.11.6-py2.6.egg/trac/db/util.py", line 65, in execute
    return self.cursor.execute(sql)
  File "/usr/local/lib/python2.6/site-packages/pyPgSQL/PgSQL.py", line 3111, in execute
    raise OperationalError, msg
OperationalError: ERROR:  relation "codereviews" does not exist

comment:32 Changed 4 years ago by anonymous

hi, is it possible to get notified everytime if something on a review changes?

Like <tt>smtp_always_cc</tt>

comment:33 Changed 3 years ago by andersm

  • Owner changed from proofek to andersm

comment:34 Changed 2 years ago by huiliang

  • Trac Release changed from 0.11 to 0.12

I have installed the plugin with Trac 0.12.3.

When I create a code review, in step 3, only "authenticated" is listed as available reviews. What may be the problem? Thanks.

comment:35 Changed 2 years ago by rjollos

  • Description modified (diff)
  • Type changed from task to enhancement

comment:36 follow-up: Changed 19 months ago by bartosak

When I'm trying to create new Code Review in step 2 I can't see any files :/

When exacly file is added to the list under "step 2" ?

comment:37 in reply to: ↑ 36 ; follow-up: Changed 18 months ago by rjollos

Replying to bartosak:

When I'm trying to create new Code Review in step 2 I can't see any files :/

When exacly file is added to the list under "step 2" ?

The plugin is not in great shape. Let me know what version of Trac you are using and I will see if I can help.

comment:38 in reply to: ↑ 37 Changed 17 months ago by awaylovemusic@…

Replying to rjollos:

Replying to bartosak:

When I'm trying to create new Code Review in step 2 I can't see any files :/

When exacly file is added to the list under "step 2" ?

The plugin is not in great shape. Let me know what version of Trac you are using and I will see if I can help.

Hi, I am using Trac 0.11.2.1, and I run into the same problem.
Please help and thanks for reply in advance.

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.